import { PDFScale } from './PDFScale';
import { TextAnnotation, TextAnnotatorOptions, TextAnnotator } from '@recogito/text-annotator';

export interface PDFAnnotator<E extends unknown = TextAnnotation> extends TextAnnotator<E> {
    currentScale: number;
    currentScaleValue: string | undefined;
    setScale(scale: PDFScale | number): number;
    zoomIn(percentage?: number): number;
    zoomOut(percentag?: number): number;
}
export declare const createPDFAnnotator: <E extends unknown = TextAnnotation>(container: HTMLDivElement, pdfURL: string, opts: TextAnnotatorOptions<E>) => Promise<PDFAnnotator<E>>;
